Get Content Publish Status
curl --request GET \
--url https://server.promptwatch.com/api/v2/content/{id}/publish-status \
--header 'X-API-Key: <api-key>'import requests
url = "https://server.promptwatch.com/api/v2/content/{id}/publish-status"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://server.promptwatch.com/api/v2/content/{id}/publish-status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"latest": {
"id": "6ba7b825-9dad-11d1-80b4-00c04fd430c8",
"status": "PUBLISHED",
"provider": "WEBFLOW",
"connectionId": "6ba7b822-9dad-11d1-80b4-00c04fd430c8",
"externalItemId": "65f1c0a1b2c3d4e5f6a7b8c9",
"slug": "how-to-rank-in-chatgpt",
"liveUrl": "https://example.com/blog/how-to-rank-in-chatgpt",
"draftUrl": null,
"cmsEditorUrl": null,
"error": null,
"pushedBy": {
"name": "Ada Lovelace",
"email": "ada@example.com"
},
"lastPushedAt": "2026-03-28T14:30:00.000Z",
"publishedAt": "2026-03-28T14:30:00.000Z",
"createdAt": "2026-03-28T14:29:00.000Z"
},
"history": []
}{
"error": "Unauthorized",
"message": "Missing or invalid X-API-Key header."
}{
"code": "CMS_INTEGRATIONS_CONNECTION_NOT_FOUND",
"message": "CMS connection not found"
}{
"code": "CMS_INTEGRATIONS_CONNECTION_NOT_FOUND",
"message": "CMS connection not found"
}Publishing
Get Content Publish Status
Get the latest CMS publish record for a document plus its full push history. Returns latest: null when the document has never been pushed to a CMS.
GET
/
content
/
{id}
/
publish-status
Get Content Publish Status
Authorizations
API key for authentication. Get yours from the Promptwatch dashboard under Settings > API Keys.
Path Parameters
Content document identifier
⌘I